Subject: Re: [bug#72867] [PATCH] gexp: Make 'local-file' follow symlinks.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 29 Aug 2024 11:00:16 +0200

Hi Nigko,

Nigko Yerden <[email-masked]> skribis:

> Fixes <https://lists.gnu.org/archive/html/guix-devel/2024-08/msg00047.html>
>
> While the issue can be easily fixed (a one line change in 'absolute-dirname')
> by changing 'current-source-directory' so that it always follows symlinks,
> such a change may break someone else's code. Instead, this patch keeps the
> original behavior of 'current-source-directory' macro and adds optional
> 'follow-symlinks?' argument to it.
>
> This patch is the result of collective work of
> Florian Pelz <[email-masked]> and
> Nigko Yerden <[email-masked]>

I haven’t read the thread above.  Could you come up with a test case
that shows the problem being fixed?  (That is, the test should fail when
run on current ‘master’.)

That will allow us to “formalize” the issue and to make sure it doesn’t
come back later.

Thanks for your work,
Ludo’.